View Issue Details

IDProjectCategoryView StatusLast Update
0001564VariiSpace[All Projects] Gameplaypublic2018-11-08 17:25
ReporterXenosAssigned ToXenos 
PrioritylowSeverityminorReproducibilityhave not tried
Status CloseResolutionfixed 
Product Version1.0.0-a.0 
Target VersionFixed in Version0.1.0 
Summary0001564: Déplacer vaisseau par vaisseau, et non N vaisseaux d'un coup
DescriptionJe vais avoir des problèmes de gameplay (d'implémentation surtout) si je laisse le système de déplacement actuel. Actuellement, pour déplacer des vaisseaux, on sélectionne le nombre de vaisseaux à déplacer et on les déplace. Cela signifie que tous les vaisseaux sont identiques: on ne sait pas quel vaisseau précisément sera déplacé (les vaisseaux ne sont pas nominatifs).

Or, à terme, je pense intégrer la notion de dégât à chacun des vaisseaux, non pas sous la forme de points de vie (osef), mais plutôt sous la forme de modules "pétés". Ces dégâts vont donc impacter les propriétés des vaisseaux, et il ne sera alors plus possible de considérer tous les vaisseaux comme identiques.

Donc, il faut basculer vers un déplacement vaisseau par vaisseau, ainsi qu'un affichage des vaisseaux en orbite vaisseau par vaisseau plutôt que par groupes. Par la suite, comme je sens bien que ce ne sera pas pratique de sélectionner 200 vaisseaux à déplacer 1 à 1, il faudra surement permettre la création de "groupes" de vaisseaux (formations ou similaire).

Mais pour l'heure, il faut déplacer les vaisseaux un à un et non un groupe de vaisseaux quelconques (indéterminés).
TagsNo tags attached.
Attach Tags

Activities

Xenos

Xenos

2016-06-20 13:43

administrator   ~0002003

Le ticket de réarchi (0001569) m'a obligé à supprimer une partie du ticket du déplacement des vaisseaux (0001160) car le merge était foireux (changer d'archi et ajouter des features entraine un merge irréalisable).

Du coup, j'ai pu refaire le ticket de déplacement des vaisseaux, en faisant cette fois vaisseau par vaisseau (idem pour la construction). Donc, ce ticket est prêt.
Xenos

Xenos

2016-08-18 22:41

administrator   ~0002152

Last edited: 2016-08-27 19:40

Rollback de ce ticket car la structure générale (archi de "Common") a changée. Il va donc falloir faire le plus progressif possible, avec une release dans les plus brefs délais (en "lecture seul", comme pour ECLERD).
Xenos

Xenos

2016-08-28 18:44

administrator   ~0002192

A reprendre car les vaisseaux, c'est dans trèèèèès longtemps qu'il faudra les implémenter et les déplacer !
Xenostom

Xenostom

2018-11-08 17:25

developer   ~0003875

Je déplace les flottes 1 par 1, et une flotte peu contenir autant de vaisseaux qu'on veut.

Le ticket n'est en fait plus "applicable" IMO

Issue History

Date Modified Username Field Change
2016-06-13 21:03 Xenos New Issue
2016-06-13 21:03 Xenos Status New => Accepted
2016-06-20 13:43 Xenos Note Added: 0002003
2016-06-20 13:43 Xenos Status Accepted => Ready
2016-06-20 13:43 Xenos Resolution open => fixed
2016-06-20 13:43 Xenos Assigned To => Xenos
2016-08-18 22:41 Xenos Status Ready => Accepted
2016-08-18 22:41 Xenos Note Added: 0002152
2016-08-27 19:39 AutoUpdater Status Accepted => Resolved
2016-08-27 19:40 AutoUpdater Fixed in Version => 0.1.0
2016-08-28 18:44 Xenos Note Added: 0002192
2016-08-28 18:44 Xenos Status Resolved => Understood
2016-09-14 20:39 Xenos Priority high => low
2016-09-14 20:40 Xenos Severity block => minor
2018-11-08 17:25 Xenostom Status Understood => Close
2018-11-08 17:25 Xenostom Note Added: 0003875